tigase.jaxmpp.j2se.filetransfer

## Class FileTransfer

- java.lang.Object
- - tigase.jaxmpp.core.client.DataHolder
  - - tigase.jaxmpp.core.client.xmpp.modules.connection.ConnectionSession
    - - tigase.jaxmpp.core.client.xmpp.modules.filetransfer.FileTransfer
      - - tigase.jaxmpp.j2se.filetransfer.FileTransfer

-     public class FileTransfer
      extends FileTransfer

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FileTransfer(SessionObject sessionObject, JID peer, String sid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getFile()`
    `InputStream` | `getInputStream()`
    `protected FileTransferNegotiator` | `getNegotiator()`
    `void` | `setFile(File file)`
    `protected void` | `setFileInfo(String filename, long fileSize, Date lastModified, String mimeType)`
    `void` | `setInputStream(InputStream inputStream)`
    `protected void` | `setNegotiator(FileTransferNegotiator negotiator)`
    `protected void` | `transferredBytes(long count)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.filetransfer.FileTransfer

      `getFileMimeType, getFileModification, getFilename, getFileSize, getProgress, getTransferredBytes, setFileMimeType, toString`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.connection.ConnectionSession

      `getPeer, getSessionObject, getSid, isIncoming, setIncoming`

    - ### Methods inherited from class tigase.jaxmpp.core.client.DataHolder

      `getData, removeData, setData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransfer

          protected FileTransfer(SessionObject sessionObject,
                                 JID peer,
                                 String sid)

  - ### Method Detail

    - #### getFile

          public File getFile()

    - #### getInputStream

          public InputStream getInputStream()

    - #### getNegotiator

          protected FileTransferNegotiator getNegotiator()

    - #### setFile

          public void setFile(File file)

    - #### setFileInfo

          protected void setFileInfo(String filename,
                                     long fileSize,
                                     Date lastModified,
                                     String mimeType)

      Overrides:
        `setFileInfo` in class `FileTransfer`

    - #### setInputStream

          public void setInputStream(InputStream inputStream)

    - #### setNegotiator

          protected void setNegotiator(FileTransferNegotiator negotiator)

    - #### transferredBytes

          protected void transferredBytes(long count)

      Overrides:
        `transferredBytes` in class `FileTransfer`

Copyright © 2006–2016 Tigase. All rights reserved.